Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver.commands
Class RunAntCommand

    java.lang.Object
      |
      +--net.sf.antcontrib.antserver.commands.RunAntCommand

All Implemented Interfaces:
  Command, java.io.Serializable

public class RunAntCommand
extends java.lang.Object
implements Command

Place class description here.

Since:
Author:
  inger,
See Also:
  Serialized Form

Constructor Summary
`RunAntCommand()`

Method Summary
`void` | `addConfiguredProperty(PropertyContainer property)`
`void` | `addConfiguredReference(ReferenceContainer reference)`
`boolean` | `execute(org.apache.tools.ant.Project project, java.io.ObjectInputStream ois)` Execute the command.
`java.lang.String` | `getAntFile()`
`java.lang.String` | `getDir()`
`java.util.Vector` | `getProperties()`
`java.util.Vector` | `getReferences()`
`java.lang.String` | `getTarget()`
`boolean` | `isInheritall()`
`boolean` | `isInteritrefs()`
`void` | `localExecute(org.apache.tools.ant.Project project, java.io.ObjectOutputStream oos)`
`void` | `setAntFile(java.lang.String antFile)`
`void` | `setDir(java.lang.String dir)`
`void` | `setInheritall(boolean inheritall)`
`void` | `setInteritrefs(boolean interitrefs)`
`void` | `setProperties(java.util.Vector properties)`
`void` | `setReferences(java.util.Vector references)`
`void` | `setTarget(java.lang.String target)`
`void` | `validate()` This should throw a build exception if the parameters are invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunAntCommand

    public RunAntCommand()

Method Detail

### getTarget

    public java.lang.String getTarget()

### setTarget

    public void setTarget(java.lang.String target)

### getProperties

    public java.util.Vector getProperties()

### setProperties

    public void setProperties(java.util.Vector properties)

### getReferences

    public java.util.Vector getReferences()

### setReferences

    public void setReferences(java.util.Vector references)

### isInheritall

    public boolean isInheritall()

### setInheritall

    public void setInheritall(boolean inheritall)

### isInteritrefs

    public boolean isInteritrefs()

### setInteritrefs

    public void setInteritrefs(boolean interitrefs)

### getAntFile

    public java.lang.String getAntFile()

### setAntFile

    public void setAntFile(java.lang.String antFile)

### getDir

    public java.lang.String getDir()

### setDir

    public void setDir(java.lang.String dir)

### addConfiguredProperty

    public void addConfiguredProperty(PropertyContainer property)

### addConfiguredReference

    public void addConfiguredReference(ReferenceContainer reference)

### validate

    public void validate()

  Description copied from interface: `Command`
  This should throw a build exception if the parameters are invalid.

  Specified by:
    `validate` in interface `Command`

### execute

    public boolean execute(org.apache.tools.ant.Project project,
                           java.io.ObjectInputStream ois)
                    throws java.lang.Throwable

  Description copied from interface: `Command`
  Execute the command.

  Specified by:
    `execute` in interface `Command`
  Parameters:
    `project` -
  Returns:
    If true, the connection will be closed
  Throws:
    `java.lang.Throwable`

### localExecute

    public void localExecute(org.apache.tools.ant.Project project,
                             java.io.ObjectOutputStream oos)
                      throws java.io.IOException

  Specified by:
    `localExecute` in interface `Command`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD